apport (2.34.1-0ubuntu0.1) resolute; urgency=medium

  * New upstream bug-fix release.
    - Fix support for zstd compressed CoreDump (LP: #2148656)
    - apt_dpkg:
      + Fix retracing with a HTTP proxy set (LP: #2159029)
      + exclude {usr/,}lib/modules and more from Contents-*.gz cache
        to reduce required memory for apport-retrace (LP: #2073787)
      + fix mapping primary ports.ubuntu.com to archive.ubuntu.com
        (LP: #2150427)
      + fix GDB command for amd64 sandbox on non-amd64 (LP: #2150427)
    - problem_report:
      + enforce some keys to always have str values in load() (LP: #2146806)
      + avoid double .txt file extension (LP: #2149892)
    - test:
      + use pwd, ls, and true from GNU coreutils in apport-valgrind tests
        (LP: #2158973)
      + relax check for Package field (LP: #2149909)
      + fix running tests as non-root system user (LP: #2153134)
  * Switch to git repository from git-ubuntu
  * test: replace SKIP_ONLINE_TESTS by requires_internet marker

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 03 Jul 2026 13:16:07 +0200

apport (2.34.0-0ubuntu2) resolute; urgency=medium

  * fix Default-to-Ubuntu-crash-DB.patch to default to ubuntu again
    (LP: #2148184)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 13 Apr 2026 13:51:00 +0200

apport (2.34.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (LP: #2147545)
    - fix broken `DEVLINKS` property after anonymizing udevdb (LP: #2145810)
  * Drop patches applied upstream and refresh remaining patches
  * test: check Python code in debian/package-hooks if present
  * Add Pre-Depends to apport-core-dump-handler
  * Update debian/watch to version 5
  * Bump Standards-Version to 4.7.4
  * Remove redundant Priority: optional and Rules-Requires-Root: no
  * autopkgtest:
    - run system UI tests separately
    - split tests that need Internet access into system-tests-internet
  * apport: depend on python3-systemd when using systemd-coredump (LP: #2139266)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 10 Apr 2026 00:46:39 +0200

apport (2.33.1-0ubuntu7) resolute; urgency=medium

  * Enable Launchpad crash reports for resolute
  * parse_segv.py: ignore registers with unavailable values (like pl3_ssp)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 26 Mar 2026 17:32:38 +0100

apport (2.33.1-0ubuntu6) resolute; urgency=medium

  * Update apport-kde to Qt6 (LP: 2145946)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 23 Mar 2026 20:29:09 -0700

apport (2.33.1-0ubuntu5) resolute; urgency=medium

  * Fix FTBFS due Python 3.14 (LP: #2143758)

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Mon, 09 Mar 2026 17:01:15 -0300

apport (2.33.1-0ubuntu4) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:16:39 +0100

apport (2.33.1-0ubuntu3) questing; urgency=medium

  * Disable Launchpad crash reports for 25.10 release

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 03 Oct 2025 14:24:19 +0200

apport (2.33.1-0ubuntu2) questing; urgency=medium

  * d/p/Add-general-hooks.patch: checksum_missmatch will not be set
    if installer kernel command line had fsck.mode=skip (LP: #2101159).

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 11 Aug 2025 12:04:43 +0200

apport (2.33.1-0ubuntu1) questing; urgency=medium

  * New upstream release
    - report:
      + check for errors in ProcMaps in crash_signature_addresses (LP: #2114171)
      + Handle FileNotFoundError when determining ExecutableTimestamp
        (LP: #2098792)
    - apport: Do not hide FileNotFoundError during crash handling
    - test: use true from GNU coreutils (LP: #2111595)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 04 Jul 2025 21:40:18 +0200

apport (2.33.0-0ubuntu1) questing; urgency=medium

  * New upstream release
    - SECURITY UPDATE: Report file insecure permissions (LP: #2106338)
      + Do not change report group to report owner's primary group.
      + CVE-2025-5467
    - SECURITY UPDATE: Race condition when forwarding core files to containers
      (LP: #2107472)
      + apport: move consistency_checks call further up
      + apport: do not override options.pid
      + apport: open /proc/<pid> as early as possible
      + fileutils: respect proc_pid_fd in get_core_path
      + apport: use opened /proc/<pid> everywhere
      + apport: do consistency check before forwarding crashes
      + apport: require --dump-mode to be specified
      + apport: determine report owner by dump_mode
      + apport: do not forward crash for dump_mode == 2
      + apport: support pidfd (%F) parameter from kernel
      + CVE-2025-5054
    - test: support coreutils rename to gnu-coreutils (LP: #2111595)
    - setuptools/java: use snakecase for option name (LP: #2111595)
    - apport: look for the exe within the proc root mount (LP: #2112272)
  * Depend on gnu-coreutils for integration/system tests
  * Depend on python3-pytest-cov in addition to python3-pytest
  * Drop patches applied upstream and refresh remaining patches
  * Address some Pyright complaints in ubuntu general hook

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 06 Jun 2025 13:53:15 +0200

apport (2.32.0-0ubuntu6) questing; urgency=medium

  * Enable Launchpad crash reports for questing
  * Add patches to fix FTBFS (LP: #2111595):
    - setuptools/java: use snakecase for option name
    - test: support coreutils rename to gnu-coreutils

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 27 May 2025 17:39:37 +0200

apport (2.32.0-0ubuntu5) plucky; urgency=medium

  * Add missing comma to previous change to fix build failure

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 12:37:34 -0400

apport (2.32.0-0ubuntu4) plucky; urgency=medium

  * Disable Launchpad crash reports for 25.04 release

 -- Tim Andersson <tim.andersson@canonical.com>  Tue, 08 Apr 2025 10:53:03 +0100

apport (2.32.0-0ubuntu3) plucky; urgency=medium

  * test: do not check for exact encoded gzip data (LP: #2076269)
  * apport: catch ProcessLookupError in forward_crash_to_container
    (LP: #2080499)
  * Bump Standards-Version to 4.7.2

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 28 Mar 2025 14:38:35 +0100

apport (2.32.0-0ubuntu2) plucky; urgency=medium

  * python3-apport: Bump python3-problem-report dependency to >= 2.28
    for CompressedFile class (LP: #2100313)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 26 Feb 2025 21:15:57 +0100

apport (2.32.0-0ubuntu1) plucky; urgency=medium

  * New upstream release
  * Drop patches applied upstream
  * depend on libglib2.0-dev and pkgconf for test_add_gdb_info_abort_glib

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 26 Feb 2025 17:31:31 +0100

apport (2.31.0+git20250220-0ubuntu2) plucky; urgency=medium

  [ Chris Peterson ]
  * Fix typos in installer package hooks (LP: #2098423):
    - d/package-hooks/subiquity.py: fix typo in path to curtin apt
      configuration.
    - d/package-hooks/ubuntu-desktop-bootstrap.py: fix typo in path to
      probe-data.json.

  [ Benjamin Drung ]
  * d/package-hooks/ubuntu-desktop-bootstrap.py:
    - fix type hint for log_map variable in attach_journal
    - add type hints to add_info
  * run-linters: check Python code in debian/ if present

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 21 Feb 2025 14:07:47 +0100

apport (2.31.0+git20250220-0ubuntu1) plucky; urgency=medium

  * New upstream snapshot
    - ui: skip value not empty check in get_complete_size (LP: #2081708)
    - problem_report: use an iterator in CompressedValue.__len__ to keep
      the memory footprint small (LP: #2081708)
    - apport-gtk: check for available display on startup (LP: #2006981)
  * Drop patches that were applied upstream
  * Apply patches that are pending upstream:
    - Split __AptDpkgPackageInfo.install_packages() into smaller methods
    - fileutils: refactor core_name in get_core_path and add type hints
    - test: some refactoring and fix test_find_package_desktopfile_multiple
  * Build-depend on python3-pyqt5 for ui_kde integration tests
  * autopkgtest:
    - depend on apport-gtk and apport-kde for new UI integration tests
    - install xterm for test_find_package_desktopfile_multiple

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 20 Feb 2025 18:55:43 +0100

apport (2.31.0-0ubuntu5) plucky; urgency=medium

  * Revert the HTTP 1.1 patch as Launchpad has issues with it (LP: #2097168)

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 07 Feb 2025 18:06:56 +0100

apport (2.31.0-0ubuntu4) plucky; urgency=medium

  [ Chris Peterson ]
  * d/package-hooks/ubuntu-desktop-bootstrap.py: attach files with root
    and add subiquity traceback, curtin logs, subiquity or system journal,
    hardware information, and check if snap updated

  [ Simon Chopin ]
  * launchpad: force CRLF as HTTP line separators (LP: #2096327)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 30 Jan 2025 18:34:02 +0100

apport (2.31.0-0ubuntu3) plucky; urgency=medium

  * test: fix expected traceback for Python 3.13
  * ui: fix passing possible None to ui_error_message

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 17 Jan 2025 23:24:16 +0100

apport (2.31.0-0ubuntu2) plucky; urgency=medium

  [ Benjamin Drung ]
  * Sort entries in debian/apport.maintscript
  * Depend on libxml2-utils and polkitd for the integration test
  * Drop iputils-ping test dependency

  [ Julian Andres Klode ]
  * Remove apt-key and gpg usage

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 21 Dec 2024 13:09:25 +0100

apport (2.31.0-0ubuntu1) plucky; urgency=medium

  * New upstream release:
    - apport-cli: translate the answers Yes and No (LP: #2084650)
    - hookutils: replace iwconfig call by iw dev link calls (LP: #2090790)
    - test: do not check for exact encoded gzip data in test_write_file
      (LP: #2076269)
    - com.ubuntu.apport.policy: fix order of entries (LP: #2084152)
    - test_signal_crashes: replace the use of ping with a custom binary
      (LP: #2089387)
    - hookutils: attach_mac_events: fix dmesg capture regex (LP: #2090887)
  * Drop patches applied upstream and refresh remaining patches

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Dec 2024 15:22:21 +0100

apport (2.30.0-0ubuntu5) plucky; urgency=medium

  * Enable Launchpad crash reports for plucky
  * Move Apport package hook for the Linux kernel to linux-base (LP: #2018128)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 12 Nov 2024 14:29:09 +0100

apport (2.30.0-0ubuntu4) oracular; urgency=medium

  * Disable Launchpad crash reports for 24.10 release.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 03 Oct 2024 20:09:04 +0530

apport (2.30.0-0ubuntu3) oracular; urgency=medium

  * package_hook: Handle failures of removed packages (LP: #2078695)
  * apport: Add Teamviewer to report-ignore (LP: #2041830)
  * apport-gtk: Fix TypeError on dialog close (LP: #2080524)
  * Fix hang when cancelling/closing Apport (LP: #1537310)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 02 Oct 2024 10:59:54 +0200

apport (2.30.0-0ubuntu2) oracular; urgency=medium

  * Remove obsolete apport init.d and bash-completion conffiles (LP: #2078634)
  * Remove conffile removals from before Ubuntu 24.04 (noble)
  * Bump Standards-Version to 4.7.0

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Sep 2024 20:02:56 +0200

apport (2.30.0-0ubuntu1) oracular; urgency=medium

  [ Benjamin Drung ]
  * New upstream release:
    - whoopsie-upload-all: exit with 0 if whoopsie is disabled (LP: #2069360)
    - launchpad: don't systematically order retrace on private reports
      (LP: #2068933)
    - recent-syslog: read stdout after process completion (LP: #2073935)
    - Fix apport-retrace system tests on non-amd64 (LP: #2069815)
    - fix race condition in wait_for_gdb_sleeping_child_process (LP: #2073933)
    - fix flaky test_crash_system_slice (LP: #2076186)
  * Depend on gdb-multiarch and python3-psutil for system tests

  [ Chris Peterson ]
  * subiquity: handle missing log for version inspect (LP: #2067775)

  [ Sebastien Bacher ]
  * Fix some issues in the hook for ubuntu-desktop-bootstrap (LP: #2072751)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 09 Aug 2024 16:57:32 +0200

apport (2.29.0-0ubuntu1) oracular; urgency=medium

  [ Benjamin Drung ]
  * New upstream release:
    - Ignore container crash reports from systemd-coredump (LP: #2063349)
    - apport: do not modify permission of existing /var/crash or
      create /var/crash with setgid permission (mode 3777) (LP: #2066995)
    - Fix retracing crashes on Ubuntu 24.04 (noble) (LP: #2067120)
  * ubuntu: fix possibly using dpkg_log_without_error before assignment
  * Drop python3-requests dependency
  * autopkgtest: add chaos-marmosets for system-tests
  * apport.postinst: Create /var/crash with mode 3777 (LP: #2066995)
  * Build-depend on mypy and python3-typeshed for type checking
  * Build-depend on systemd-dev to determine systemd/udev paths

  [ Chris Peterson ]
  * d/package-hooks/subiquity.py: update information collection (LP: #2067775)
    - Add information about snap update/refresh state
    - Attach logs and change key names to align with the information attached
      by subiquity's self-collection
    - Attach hardware information
    - Ensure bug reports are always private since there may be private
      information in the logs
    - Don't require sudo for logs collection
    - Add journal logs
    - Ensure snap revision is included in both deb and snap collection style

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 14 Jun 2024 10:18:31 +0200

apport (2.28.1-0ubuntu4) oracular; urgency=medium

  * Enable Launchpad crash reports for oracular

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 08 May 2024 11:02:33 +0200

apport (2.28.1-0ubuntu3) noble; urgency=medium

  * report: fix determining bug report URL for Thunderbird (LP: #2056758)
  * setup: determine udev directory dynamically
  * Install apport-autoreport units into /usr/lib/systemd/system

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 23 Apr 2024 13:30:10 +0200

apport (2.28.1-0ubuntu2) noble; urgency=medium

  * Drop python3-distutils from autopkgtest dependencies

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 19 Apr 2024 01:50:32 +0200

apport (2.28.1-0ubuntu1) noble; urgency=medium

  [ Benjamin Drung ]
  * New bug-fix upstream release
    - Ignore missing `COREDUMP_FILENAME` (LP: #2058380)
    - fix integration tests for bash >= 5.2.21-2ubuntu2 and coreutils
      >= 9.4-3ubuntu1 (LP: #2054902)
  * Stop shipping debian-installer package hook (LP: #2060581)
  * general-hooks/ubuntu.py: Drop upstart integration
  * apport: Install python3-zstandard when using systemd-coredump (LP: #2061753)
  * Disable Launchpad crash reports for the 24.04 release

  [ Sebastien Bacher ]
  * ubuntu-desktop-installer has been replaced by ubuntu-desktop-bootstrap

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 18 Apr 2024 15:46:28 +0200

apport (2.28.0-0ubuntu1) noble; urgency=medium

  * New upstream release
    - ui: remove skipping crashes that happened during logout (LP: #2043393)
    - setup: set minimum Java release to 8 (LP: #2045705)
    - support systemd-coredump as core dump handler (LP: #2048136)
  * Drop patches that were applied upstream
  * Address pylint complaints in patches and package hooks
  * Replace build dependency pkg-config by pkgconf
  * Suggest python3-zstandard in python3-problem-report for read support

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 22 Feb 2024 15:20:00 +0100

apport (2.27.0-0ubuntu7) noble; urgency=medium

  [ Benjamin Drung ]
  * Rely on pybuild in dh_auto_* targets
  * Introduce the separate apport-core-dump-handler package that registers as
    kernel crash dump handler. This is needed for the upcoming systemd-coredump
    support.
  * Move systemd units from /lib to /usr/lib

  [ Simon Chopin ]
  * Rework apport-retrace to handle unbound crashid (LP: #2051512)
  * fix: use context manager when manipulating GzipFiles (LP: #2051512)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Feb 2024 16:51:44 +0100

apport (2.27.0-0ubuntu6) noble; urgency=medium

  * Move additional package hooks to debian/package-hooks
  * Enable Launchpad crash reports for noble
  * cherry-pick setup patches: replace deprecated distutils by setuptools

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 31 Oct 2023 00:24:35 +0100

apport (2.27.0-0ubuntu5) mantic; urgency=medium

  * d/p/lp2038650: Fix crash reporting when going through the UI (LP: #2038650)

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 09 Oct 2023 15:52:13 +0200

apport (2.27.0-0ubuntu4) mantic; urgency=medium

  * Disable Launchpad crash reports for the 23.10 release

 -- Brian Murray <brian@ubuntu.com>  Mon, 02 Oct 2023 12:56:17 -0700

apport (2.27.0-0ubuntu3) mantic; urgency=medium

  * fix: raise "gdb not found" as soon as detected (LP: #2031919)
  * bash-completion: Do not use ls in completion (LP: #1850804)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 29 Sep 2023 01:03:44 +0200

apport (2.27.0-0ubuntu2) mantic; urgency=medium

  * Run only pylint --errors-only and mypy from tests/run-linters (LP: #2028881)
  * Depend on dictionaries-common for having a dpkg diversion test package
    (LP: #2028879)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 28 Jul 2023 18:59:34 +0200

apport (2.27.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
    - apport-unpack: Catch MalformedProblemReport on extraction (LP: #1997912)
  * Switch running test suite with pytest
  * Apply black changes and pylint fixes to patches

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 24 Jul 2023 20:36:16 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog apport-core-dump-handler`.
